<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="middle" style="width: 100%; height: 100%;">

	<TR>
		<TD height="191" style="background-image:url('images/up-bgr.gif'); background-repeat:repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;" >
				<tr>
					<td width="61"><div style="width:61px; height: 191px; "><span></span></div>
					</td>
					<td  valign="top"  style="height: 100%;  background-image: url('images/picture_for_logo.gif'); background-repeat: no-repeat;"><div style="width:180px; "><span></span></div>

						<table cellpadding="0" cellspacing="0" border="0" style="width:191px;">
							<tr ><td  style="padding:38px 0px 15px 67px;"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0"/></a></td></tr>
							<tr><td class="slogan" align="center" style="padding-right:10px" ><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
						</table>
					</td>

					<td width="1090"  style="height: 100%; background-image: url('images/header.gif'); background-repeat: no-repeat; background-position:100% 	0%; "  VALIGN="bottom">
						<table cellpadding="0" cellspacing="0" border="0" ALIGN="left" style="height:36px;" >
							<tr><td colspan="9"  style="padding-left:35px; padding-bottom:70px;" class="site"><xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/></td></tr>
							<tr align="left"  style="height:36px;" >
								<td>
									<table cellpadding="0" cellspacing="0" border="0">
										<tr>
											<xsl:call-template name="TOP-MENU"/>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
					
				</tr>
			</table>
		</TD>
	</TR>

	<TR>
		<TD height="100%" style="background-image:url('images/middle-bgr.gif'); background-repeat: repeat-x; " >
		
		<table cellpadding="0" cellspacing="0" BORDER="0" style="width: 100%; height: 100%;">
			<tr valign="top">
				<td width="280" valign="top">
					<table cellpadding="0" cellspacing="0" BORDER="0"  style="width: 			234px;height: 330px; background-image: url('images/menu-bgr.gif'); background-repeat: repeat-y; background-position:0% 0%; margin-right:40 px; ">
					<tr><td colspan="2" valign="top" align="right" style="padding-right:3px; padding-bottom:2px; height:53px;"><img  src="images/menu-top.gif" alt=""/></td></tr>
					<tr><td height="3"><img  src="images/sep-menu.gif" alt=""/></td><td rowspan="15"><div style="width:20px; "><span></span></div></td></tr>
                    <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
<tr><td height="3"><img  src="images/sep-menu.gif" alt=""/></td></tr>
<tr><td colspan="2" valign="bottom" align="right"><img  src="images/menu-bottom.gif" alt=""/></td></tr>
					</table>
				</td>





		<td>
			<table cellpadding="0" cellspacing="0" BORDER="0" style="width: 100%; height: 100%;">
				<tr>
					<td style="width: 31px; height: 79px; background-image:url('images/title-l.gif'); background-repeat:no-repeat;"><div style="width:31px; height: 79px; "><span></span></div>
					</td>
					<td valign="bottom" class="main-title" style="padding-left: 30px; padding-bottom: 7px; width: 100%; height: 79px; background-image:url('images/title.gif'); background-repeat:repeat-x;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
					</td>
				</tr>
				<tr valign="top">
					<td style="width: 31px; height: 100%;"><div style="width:31px; height: 79px; "><span></span></div></td>
					<td class="pageContent" style="width: 100%; background-image:url('images/main-bgr.gif'); background-repeat:repeat-x; padding-top: 20px;">
						<xsl:apply-templates select="PAGE-CONTENT"/>
					</td>
				</tr>
			</table>
		</td>
</tr>
</table>
</TD>
	</TR>

	<TR>
		<TD height="100" valign="top" align="center"  style="padding-top:20px; background-image:url('images/down-bgr.gif'); background-repeat: repeat-x; background-position: top left;">
			<table cellpadding="0" cellspacing="0" BORDER="0">
				<tr>
					<xsl:call-template name="BOTTOM-MENU"/>
				</tr>
				<tr>
					<td colspan="10" align="center" style="padding-top:20px;" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
				</tr>
			</table>
		</TD>	
	</TR>
</TABLE>
	<!--sw_sb_nsu-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
				<tr><td valign="middle" class="main-menu"  style="padding-left:80px; background-image: url('images/menu-middle-bgr.gif'); background-repeat: repeat-x; height:26px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr><td valign="middle"  style="padding-left:80px;height:26px;"><a href="{@HREF}" class="main-menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td></tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td height="3"> <img  src="images/sep-menu.gif" alt=""/></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>

<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
            <td><img  src="images/button.gif" alt=""/></td>
			<td valign="middle" > <div style="width:54px; "><span></span></div><a href="{@HREF}" class="bottom-menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
            <td><img  src="images/button.gif" alt=""/></td>
			<td valign="middle" class="bottom-menu" > <div style="width:54px; "><span></span></div><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
            <td><img  src="images/button.gif" alt=""/></td>
			<td valign="middle" > <div style="width:54px; "><span></span></div><a href="{@HREF}" class="bottom-menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
