<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]">


<td width="20"></td>
        <td class="tmenua"><a href="{@HREF}" class="tmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
		<td width="20"></td>
        <td class="bc"><img src="images/bullet.gif"/></td>
		
            </xsl:when>
			
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">


		
<td background="images/003.gif" width="20" ></td>
        <td background="images/003.gif" class="tmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		<td background="images/003.gif" width="20"></td>
        <td background="images/003.gif" class="bc"><img src="images/bullet2.gif" /></td>
		
            </xsl:when>
			
            <xsl:otherwise>
			
<td width="20"></td>
        <td class="tmenua"><a href="{@HREF}" class="tmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
		<td width="20"></td>
        <td class="bc"><img src="images/bullet.gif"/></td>
		
            </xsl:otherwise>
	    </xsl:choose>
  		<xsl:if test="position()!=last()">
<td><img src="images/001_2.gif" width="1" height="46"/></td>
  		</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
