<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr style="background-repeat:repeat-x;" background="images/bg.jpg">
    <td height="147" colspan="2" valign="top" background="images/bg.jpg" style="background-repeat:repeat-x;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="187" valign="top"  background="images/header.jpg" style="background-repeat:no-repeat;background-position:top right"><table width="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td height="140"><table width="100%" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="228"><!-- LOGO -->
			<table width="160" border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr>
                          <td><table border="0" align="center" cellpadding="0" cellspacing="0">
                            <tr>
                              <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0"/></a></div></td>
                            </tr>
                            <tr>
                              <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                            </tr>
                            <tr>
                              <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                            </tr>
                          </table></td>
                        </tr>
                      </table>
                    <!-- END LOGO -->
                  </td>
                  <td height="140" width="22" background="images/slogan.jpg"><div style="width:22px;"></div></td>
                  <td><table width="160" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td class="slogana"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                      </tr>
                  </table></td>
                </tr>
              </table></td>
            </tr>
            <tr>
              <td valign="top" background="images/001.gif" style="background-position:top;background-repeat:repeat-x; padding-bottom:10px;">
			  <!-- MENU -->
			  <table  border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="20"></td>
					<td class="m1"><img src="images/001_1.gif" width="1" height="16"/></td>
					<xsl:call-template name="TOP-MENU"/>
					<td class="m1"><img src="images/001_1.gif" width="1" height="16"/></td>
                    <td width="20"></td>
                  </tr>
              </table>
			   <!-- END MENU -->
			  </td>
            </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  
  <tr valign="top">
    <td colspan="2"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="252" valign="top"><table width="252"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td colspan="2"><img src="images/002.gif" width="252" height="69"/></td>
          </tr>
          <tr>
            <td height="492" valign="top">
			
                <table width="252" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td background="images/003.gif" height="245" valign="top" style="padding-left:45">
					<!-- SUBMENU -->
					<table width="185"  border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr>
                          <td width="185" height="20"></td>
                        </tr>
                        <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                        <tr>
                          <td height="20" ></td>
                        </tr>
                    </table>
					<!-- END SUBMENU -->
					</td>
                  </tr>
              </table>
<img src="images/sbg.gif"/>
</td>
            <td width="1" valign="top"></td>
          </tr>
        </table>
          
        </td>
        <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top">
			<!-- CONTENT -->
			<table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
              <tr>
                <td height="69" valign="bottom"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                    </tr>
                </table></td>
              </tr>
              <tr>
                <td height="1" bgcolor="#CCCCCC"></td>
              </tr>
              <tr>
                <td valign="top" class="iconfoot"><table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table></td>
              </tr>
            </table>
			<!-- END CONTENT -->			</td>
          </tr>
          
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="252" ></td>
  </tr>
  <tr valign="top">
    <td colspan="2"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="252"></td>
        <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="1"  colspan="3"><div style="height:1px; background-color: #cccccc; vertical-align: bottom; background-repeat: repeat-x;"><span></span></div></td>
          </tr>
          <tr>
            <td>
			<!-- BOTTOM MENU -->
			<table height="57" border="0" cellpadding="0" cellspacing="0">
                <tr>
				<td class="bm"><img src="images/004.gif" width="1" height="17"/></td>
                  <xsl:call-template name="BOTTOM-MENU"/>
				  <td class="bm"><img src="images/004.gif" width="1" height="17"/></td>
                </tr>
            </table>
			<!-- END BOTTOM MENU -->			</td>
          </tr>
          <tr>
            <td height="30" colspan="3"><div style="height:1px; background-color: #E4E6D9; background-repeat: repeat-x;"><span></span></div></td>
          </tr>
          <tr>
            <td>
			<!-- FOOTER -->
			<table border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
                </tr>
            </table>
			<!-- END FOOTER -->			</td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


<tr>
<td class="submenua" ><xsl:value-of select="@TITLE" disable-output-escaping="yes"/><img src="images/005.gif" width="15" height="9"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>
<td ><a href='{@HREF}' class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> <img src="images/005.gif" width="15" height="9"/></td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td height="20" colspan="3"><div style="height:1px; background-repeat: repeat-x;"><span><img src="images/007.gif" width="182" height="1"/></span></div></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >


<td class="bmenu"><a href='{@HREF}' class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		   
<td background="images/008_1.gif" class="bmenua" style="background-position:top right;width:27px;background-repeat:no-repeat"></td>
                  <td background="images/008.gif" class="bmenua" style="background-position:top center;background-repeat:repeat-x"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  <td background="images/008_2.gif" class="bmenua" style="background-position:top left;width:27px;background-repeat:no-repeat"></td>
           </xsl:when>
           <xsl:otherwise>

<td class="bmenu"><a href='{@HREF}' class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

 <td class="bm"><img src="images/004.gif" width="1" height="17"/></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
