<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
   		<table cellpadding="0" cellspacing="0" height="26" width="571" style="background-color:  #E7E7E7; background-image:  url('images/menu_bg.gif'); background-repeat: repeat-x;">
   			<tr>
				<td>
					<table cellpadding="0" cellspacing="0" border="0">
						<tr height="26">
							<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
						</tr>
					</table>
				</td>
   			</tr>
   		</table>
	</xsl:template>
 

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
    				<td style="padding: 0px 12px 0px 12px; background-color:  #6C6C6C; background-image:  url('images/amenu_bg.gif'); background-repeat: repeat-x;"><a href="{@HREF}" class="amenu"><b><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></b></a></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
    				<td style="padding: 0px 12px 0px 12px; background-color:  #6C6C6C; background-image:  url('images/amenu_bg.gif'); background-repeat: repeat-x;"><font class="amenu"><b><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></b></font></td>
                </xsl:when>
                <xsl:otherwise>
    				<td style="padding: 0px 12px 0px 12px;"><a href="{@HREF}" class="menu"><b><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></b></a></td>
                </xsl:otherwise>
            </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
   				<tr>
   					<td style="padding-right: 5px;" height="20"><a href="#"><img src="images/submenu_bullet.gif" border="0"/></a></td>
   					<td><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
   				</tr>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    				<tr>
    					<td style="padding-right: 5px;" height="20"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
    					<td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    				</tr>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
