<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	
	<xsl:template match="MENU" mode="sub">
     <div style="padding:0px; width:100%;">
     <table border="0" cellspacing="0" cellpadding="0" width="100%">
			<xsl:apply-templates select="MENU-ITEM"  mode="sub"/>
     </table>
     </div>
	</xsl:template> 
 

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="sub">
        <xsl:choose>
                <xsl:when test="@ID=/LAYOUT/@ID" >
		            <tr><td class="secondmenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
		            <tr><td background="images/2ndmenublock.gif"><div style="width:1px; height:2px;"><spacer type="block" width="1" height="2" /></div></td></tr>
                </xsl:when>
                <xsl:otherwise>
					<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		             <tr><td class="secondmenuitem">
		             	<a class="secondmenuitem" href="{@HREF}">
							<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
		             	</a>
		             </td></tr>
		             <tr><td background="images/2ndmenublock.gif"><div style="width:1px; height:2px;"><spacer type="block" width="1" height="2" /></div></td></tr>
					</xsl:if>
                </xsl:otherwise>
        </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="top">
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			    <tr><td height="29" bgcolor="#ef5f08" class="menuitemactive">
			    	<a class="menuitemactive" href="{@HREF}">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			    	</a>
			    </td></tr>
			    <tr><td background="images/menublock.gif"><div style="width:1px; height:9px;"><spacer type="block" width="1" height="9" /></div></td></tr>
			</xsl:when>
			<!-- when active-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			    <tr><td height="29" bgcolor="#ef5f08" class="menuitemactive">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			    </td></tr>
			    <tr><td background="images/menublock.gif"><div style="width:1px; height:9px;"><spacer type="block" width="1" height="9" /></div></td></tr>
			</xsl:when>
			<xsl:otherwise>
				<tr><td height="29" class="menuitem">
					<a class="menuitem" href="{@HREF}">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
					</a>
				</td></tr>
			    <tr><td background="images/menublock.gif"><div style="width:1px; height:9px;"><spacer type="block" width="1" height="9" /></div></td></tr>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


</xsl:stylesheet>
